Bug 53317 - printconf-tui fails to configure HP Laserjet 5M
Summary: printconf-tui fails to configure HP Laserjet 5M
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-06 15:37 UTC by Pekka Pietikäinen
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-18 23:08:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Pietikäinen 2001-09-06 15:37:56 UTC
Description of Problem:

When trying to add a remote hp laserjet 5m queue, printconf crashes

Version-Release number of selected component (if applicable):

0.3.36 and 0.3.37-1

How Reproducible:

Steps to Reproduce:
1.  New LPD queue, select HP Laserjet 5M as printer type

Actual Results:

Traceback (innermost last):
  File "/usr/sbin/printconf-tui", line 8, in ?
    printconf_tui.startup_and_find_cmd()
  File "/usr/share/printconf/util/printconf_tui.py", line 2143, in
startup_and_find_cmd
    main.cmd_handlers[cmd]()
  File "/usr/share/printconf/util/printconf_tui.py", line 2042, in
tui_main_run
    qld_run()
  File "/usr/share/printconf/util/printconf_tui.py", line 1913, in qld_run
    if nqd_run():
  File "/usr/share/printconf/util/printconf_tui.py", line 153, in nqd_run
    nqd_finish()
  File "/usr/share/printconf/util/printconf_tui.py", line 229, in
nqd_finish
    driver_desc = nqd.driver_tuple[0].label
AttributeError: 'string' object has no attribute 'label'

Expected Results:

Adding the printer wouldn't crash printconf

Additional Information:
	
Configuring the printer as Standard Postscript worked ok.

Comment 1 Pekka Pietikäinen 2001-12-19 00:03:27 UTC
Dunno which version fixed it, but it definately works ok in 0.3.52
from the errata.


Note You need to log in before you can comment on or make changes to this bug.